---
- include_vars: vars.yml

- name: '[GIT] Set Global Username'
  command: git config --global user.name "{{ user.fullname }}"
  become: yes
  become_user: '{{ user.username }}'

- name: '[GIT] Set Global Email'
  command: git config --global user.email "{{ user.email }}"
  become: yes
  become_user: '{{ user.username }}'


- name: '[GIT] Set Credential helper'
  command: git config --global credential.helper osxkeychain
  become: yes
  become_user: '{{ user.username }}'


- name: '[GIT] Set Global Global Ignore file'
  command: git config --global core.excludesfile ~/.gitignore_global
  become: yes
  become_user: '{{ user.username }}'
